Skip to main content
GET
/
campaigns
/
{campaignId}
Get a campaign
curl --request GET \
  --url https://backstage.example.com/api/soundcheck/campaigns/{campaignId}
{
  "campaign": {
    "id": "<string>",
    "type": "campaign",
    "levels": [
      {
        "ordinal": 123,
        "checks": [
          {
            "id": "<string>",
            "name": "<string>",
            "description": "<string>",
            "filter": {},
            "exclude": {}
          }
        ],
        "name": "<string>",
        "description": "<string>",
        "badge": {
          "color": "<string>",
          "svg": "<string>"
        }
      }
    ],
    "name": "<string>",
    "description": "<string>",
    "ownerEntityRef": "<string>",
    "group": "<string>",
    "badge": {
      "color": "<string>",
      "svg": "<string>"
    },
    "filter": {},
    "exclude": {},
    "documentationURL": "<string>",
    "draft": true,
    "isEditable": true,
    "createdAt": "<string>",
    "updatedAt": "<string>",
    "archived": true,
    "supportChannel": "<string>",
    "startDate": "<string>",
    "targetCompletionDate": "<string>",
    "milestones": [
      {}
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

campaignId
string
required

The ID of the campaign

Query Parameters

entityRef
string

Entity ref used to filter the campaign.

onlyApplicableChecks
boolean

Whether to include only applicable checks.

Response

OK

campaign
object

Note: Additional validation rules are enforced at runtime via Zod and are not fully represented in this OpenAPI schema.